#### D.15.25.3 makeQPoly

Procedure from library `stanleyreisner.lib` (see stanleyreisner_lib).

Usage:
  makeQPoly(p); p = polynomial.

Assume:
  p is a polynomial in basering.

Return:
  a QPoly which is in a quotient ring.

Theory:
  The procedure will convert a polynomial in basering to a polynomial in a quotient ring.

Example:

    LIB "stanleyreisner.lib";
    ring r=0,(x,y,z),lp;
    ideal i=xy;
    qring Q=std(i);
    poly p=x*y+z;
    QPoly q=makeQPoly(p);
    q.over;
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 3
    ==> //        block   1 : ordering lp
    ==> //                  : names    x y z
    ==> //        block   2 : ordering C
    ==> // quotient ring from ideal
    ==> _[1]=xy
    q.value;
    ==> z

User manual for Singular version 4.4.1, 2025, generated by texi2html.